// import request from '#/utils/request';
import { requestClient } from '#/api/request';
// 查询流程分类列表
export function listCategory(query) {
  return requestClient.get('/category/list', { params: query });
}

// 查询流程分类列表
export function listAllCategory(query) {
  return requestClient.get('/category/listAll', { params: query });
}
// 查询流程分类详细
export function getCategory(categoryId) {
  return requestClient.get(`/category/${categoryId}`);
}
// 新增流程分类
export function addCategory(data) {
  return requestClient.post('/category', { data });
}

// 修改流程分类
export function updateCategory(data) {
  return requestClient.put('/category', { data });
}

// 删除流程分类
export function delCategory(categoryIds) {
  return requestClient.delete(`/category/${categoryIds}`);
}
